Package org.kapott.hbci.smartcardio

# Class RSAKeyData

java.lang.Object
org.kapott.hbci.smartcardio.RSAKeyData

public class RSAKeyData extends Object

Author:
  axel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`RSAKeyData.Type`

## Constructor Summary

Constructors
Constructor
Description
`RSAKeyData(int index, RSAKeyData.Type type, byte[] keyLogData, byte[] publicKeyData)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
`int`
`getKeyNum()`
`int`
`getKeyType()`
`int`
`getKeyVersion()`
`PublicKey`
`getPublicKey()`
`int`
`getStatus()`
`RSAKeyData.Type`
`getType()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RSAKeyData

public RSAKeyData(int index, RSAKeyData.Type type, byte[] keyLogData, byte[] publicKeyData)

## Method Details

### getIndex

public int getIndex()

### getType

public RSAKeyData.Type getType()

### getStatus

public int getStatus()

### getKeyType

public int getKeyType()

### getKeyNum

public int getKeyNum()

### getKeyVersion

public int getKeyVersion()

### getPublicKey

public PublicKey getPublicKey()

### toString

public String toString()

Overrides:
  `toString` in class `Object`